package main

import (
	"flag"

	"github.com/gin-gonic/gin"
	"gitlab.celogeek.com/photos/api/src/controllers"
	"gitlab.celogeek.com/photos/api/src/controllers/models"
)

func main() {
	dbFilename := flag.String("db", "test.db", "database filename")
	flag.Parse()

	r := gin.Default()

	models.ConnectDatabase(dbFilename)

	r.GET("/", controllers.DefaultRoot)

	r.Run()
}
